#pragma once

#include <string>
#include <vector>

namespace Aftr
{

class WO;

struct FourCorners
{
   double upper = 0;
   double lower = 0;
   double left  = 0;
   double right = 0;
};

struct TextureDensityDatumLLA
{
   TextureDensityDatumLLA(){}
   TextureDensityDatumLLA( double lat, double lon, double y, double x );
   double lat = 0;
   double lon = 0;
   double x = 0;
   double y = 0;
};

class MSVEParser
{
public:
   MSVEParser();
   std::vector< std::vector< TextureDensityDatumLLA > > parse( const std::string& filename );
protected:
};

} //namespace Aftr
